package com.chinaitop.agile.service;

import java.util.List;
import java.util.Map;

import com.chinaitop.agile.model.DataKcglKcswDefault;
import com.chinaitop.agile.model.DataKcglKcswDefaultExample;

public interface KcswService {
	/**
	 * 粮食品种柱状图
	 * 
	 * @param orgId 单位ID
	 * @return
	 */
	Map<String, Object> queryByExample(Integer orgId);

	/**
	 * 根据等级饼图
	 * 
	 * @param example
	 * @return
	 */
	Map<String, Object> queryByDj(Integer orgId);

	/**
	 * 库存/库容比仪表盘图
	 * 
	 * @param effectiveCapacity 有效库容
	 * @param map 条件对象
	 * @return
	 */
	String queryByBl(Integer effectiveCapacity, Map<String, Object> map);

	/**
	 * 条件查询库存实物表中的数据
	 * 
	 * @param example
	 * @return
	 */
	List<DataKcglKcswDefault> findCondition(DataKcglKcswDefaultExample example);

	List<DataKcglKcswDefault> getEmptyPolice(DataKcglKcswDefaultExample example);

	List<DataKcglKcswDefault> getHouseOrWareList(Map<String, Object> modelMap);

	List<Map<String, Object>> selectCountByPz();

	List<Map<String, Object>> selectCountByXz();

	List<Map<String, Object>> selectCountByYear();

	List<Map<String, Object>> selectCountByCity();
	List<DataKcglKcswDefault> getMassageBych(Map<String, Object> modelMap);

	/**
	 * 查询敏捷平台最新储粮信息
	 * @return
	 */
	List<DataKcglKcswDefault> queryLKNewData(Map<String, Object> map);

	/**
	 * 损益单保存后更新库存
	 * 
	 * @param userInfo 登录对象
	 * @param profitlossSheet 损益单对象
	 */
	void updateKc(String userInfo, String profitlossSheet);

	/**
	 * 根据orgId查询库存数量
	 * @param orgId
	 * @return
	 */
	List<DataKcglKcswDefault> queryKcData(Integer orgId, String houseId, String warehouseId);

	/**
	 * 查询库存总量
	 * @param map
	 * @return
	 */
	String countByBl(Map<String, Object> map);

	/**
	 * 查询入库时间大于两年的库存实物表数据
	 * @param map
	 * @return
	 */
	List<DataKcglKcswDefault> get_thenTwoYear_List(Map<String, Object> map);

	List<DataKcglKcswDefault> getDateByChHwh(Map<String, Object> modelMap);

	/**
	 * 查询库存实物表数据和入仓时间
	 * @param kcsw
	 * @return
	 */
    List<DataKcglKcswDefault> findListOrRcsj(DataKcglKcswDefault kcsw);

    List<DataKcglKcswDefault> findLiangQuanCondition(Map<String, Object> mapExample);
    List<DataKcglKcswDefault> findLiangQuankcsl(Map<String, Object> mapExample);
}
