package com.chinaitop.agile.service;

import com.chinaitop.agile.model.DataKcglFcbgzDefault;
import com.chinaitop.agile.model.DataKcglFcbgzDefaultExample;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

public interface KeepAccountService {

	/**
	 * 根据条件查询保管账列表
	 * 
	 * @param example
	 * @return
	 */
	List<DataKcglFcbgzDefault> queryByExample(DataKcglFcbgzDefaultExample example);

	/**
	 * 分仓保管账列表
	 * 
	 * @param pageNum
	 * @param pageSize
	 * @param ch
	 * @param hwh
	 * @param lspz
	 * @param lsxz
	 * @param startDate
	 * @param endDate
	 * @return
	 * @throws Exception
	 */
	PageInfo<Map<String, Object>> queryTotalByExample(Integer pageNum, Integer pageSize, 
			String ch, String hwh, Integer lspz, Integer lsxz, String startDate, String endDate, String orgId) throws Exception;

	/**
	 * 保管明细账
	 * 
	 * @param map
	 * @return
	 */
	List<Map<String, Object>> selectHouseKeepAccountData(Map<String, Object> map);

	/**
	 * 根据保管账编号获取保管账信息
	 * 
	 * @param dataid
	 * @return
	 */
	DataKcglFcbgzDefault findById(String dataid);

	Map<String, Object> getOnDayData(String queryTyep, String ch, String hwh, String jjdh);

	Map<String, Object> getCountQYzl(Map<String, Object> map);
}
