package com.chinaitop.agile.service.impl;

import java.util.Date;
import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.chinaitop.agile.mapper.DataKcglFcbgzDefaultMapper;
import com.chinaitop.agile.model.DataKcglFcbgzDefault;
import com.chinaitop.agile.model.DataKcglFcbgzDefaultExample;
import com.chinaitop.agile.service.DataKcglFcbgzDefaultService;
import com.chinaitop.agile.utils.ParameterUtil;

@Service
public class DataKcglFcbgzDefaultServiceImpl implements DataKcglFcbgzDefaultService {

	@Resource
	private DataKcglFcbgzDefaultMapper mapper;

	public DataKcglFcbgzDefault findConditionMax(DataKcglFcbgzDefault fcbgz) throws Exception {
		DataKcglFcbgzDefault obj = null;
		DataKcglFcbgzDefaultExample example = new DataKcglFcbgzDefaultExample();
		DataKcglFcbgzDefaultExample.Criteria criteria = example.createCriteria();
		criteria.andChEqualTo(fcbgz.getCh());
		criteria.andHwhEqualTo(fcbgz.getHwh());
		criteria.andPzEqualTo(fcbgz.getPz());
		criteria.andHwxzEqualTo(fcbgz.getHwxz());
		//criteria.andUnitidEqualTo(fcbgz.getUnitid());
		
		String data = ParameterUtil.date2string(fcbgz.getRq());
		Date start_rq = ParameterUtil.string2datetime(data +" 00:00:00");
		Date end_rq = ParameterUtil.string2datetime(data +" 23:59:59");
		//criteria.andRqBetween(start_rq, end_rq);
		criteria.andRqGreaterThanOrEqualTo(start_rq);
		criteria.andRqLessThanOrEqualTo(end_rq);

		example.setOrderByClause("rq desc");

		List<DataKcglFcbgzDefault> list = mapper.selectByExample(example);
		if (null != list && list.size() > 0) {
			obj = list.get(0);
		} else {
			obj = new DataKcglFcbgzDefault();
		}
		
		return obj;
	}

	@Override
	public List<DataKcglFcbgzDefault> findByList(DataKcglFcbgzDefaultExample example) throws Exception {
		return mapper.selectByExample(example);
	}

	@Override
	public DataKcglFcbgzDefault findByIdFcbgzData(String id) {
		return mapper.selectByPrimaryKey(id);
	}

}
