package com.chinaitop.agile.service.impl;

import com.chinaitop.agile.mapper.DataKcglFcbgzDefaultMapper;
import com.chinaitop.agile.model.DataKcglFcbgzDefault;
import com.chinaitop.agile.model.DataKcglFcbgzDefaultExample;
import com.chinaitop.agile.service.KeepAccountService;
import com.chinaitop.agile.utils.ParameterUtil;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;

import org.springframework.stereotype.Service;

import javax.annotation.Resource;

import java.util.*;

@Service
public class KeepAccountServiceImpl implements KeepAccountService {
	
	@Resource
	private DataKcglFcbgzDefaultMapper dataKcglFcbgzDefaultMapper;

	@Override
	public List<DataKcglFcbgzDefault> queryByExample(DataKcglFcbgzDefaultExample example) {
		return dataKcglFcbgzDefaultMapper.selectByExample(example);
	}

	@Override
	public DataKcglFcbgzDefault findById(String dataid) {
		return dataKcglFcbgzDefaultMapper.selectByPrimaryKey(dataid);
	}

	@Override
	public PageInfo<Map<String, Object>> queryTotalByExample(Integer pageNum, Integer pageSize,
															 String ch, String hwh, Integer lspz, Integer lsxz, String startDate, String endDate, String orgId) {
		PageInfo<Map<String, Object>> pageInfo = null;
		Map<String, Object> param_map = new HashMap<String, Object>();
		param_map.put("direction", 1);
		if (null != orgId && !"".equals(orgId)) {
			param_map.put("orgId", orgId);
		}
		
		if (null != ch && !"".equals(ch)) {
			param_map.put("ch", ch);
		}
		if (null != hwh && !"".equals(hwh)) {
			param_map.put("hwh", hwh);
		}
		if (lspz != null) {
			param_map.put("pz", lspz);
		}
		if (lsxz != null) {
			param_map.put("lsxz", lsxz);
		}
		if (startDate != null && !"".equals(startDate)) {
			Date start_rq = ParameterUtil.string2datetime(startDate+" 00:00:00");
			param_map.put("start_rq", start_rq);
		}
		if (endDate != null && !"".equals(endDate)) {
			Date end_rq = ParameterUtil.string2datetime(endDate+" 23:59:59");
			param_map.put("end_rq", end_rq);
		}
		if (pageNum!=null && pageSize!=null) {
			PageHelper.startPage(pageNum, pageSize);
		}
		
		List<Map<String, Object>> list = dataKcglFcbgzDefaultMapper.countByDay(param_map);
		pageInfo = new PageInfo<Map<String, Object>>(list);
		return pageInfo;
	}

	@Override
	public List<Map<String, Object>> selectHouseKeepAccountData(Map<String, Object> map) {
		return dataKcglFcbgzDefaultMapper.selectHouseKeepAccountData(map);
	}

	@Override
	public Map<String, Object> getOnDayData(String queryTyep, String ch, String hwh, String jjdh) {
		Map<String,Object> dataMap = new HashMap<>();
		List<Map<String, Object>> dataList = new ArrayList<>();

		dataMap.put("ch",ch);
		dataMap.put("hwh",hwh);
		dataMap.put("jjdh",jjdh);

		if (ParameterUtil.isequal(queryTyep, "DR")) {
			dataList = dataKcglFcbgzDefaultMapper.getOnDayData(dataMap);
		}else if (ParameterUtil.isequal(queryTyep, "DY")) {
			dataList = dataKcglFcbgzDefaultMapper.getOnMonthData(dataMap);
		}else if (ParameterUtil.isequal(queryTyep, "JJDH")) {
			dataList = dataKcglFcbgzDefaultMapper.getOnJJDHData(dataMap);
		}

		String pzwh = dataKcglFcbgzDefaultMapper.getOnPZWHData(dataMap);

		if (ParameterUtil.isnotnull(dataList.get(0).get("lspz"))) {
			dataMap = dataList.get(0);
			dataMap.put("srsl",dataList.get(0).get("sl"));
			dataMap.put("zcsl",dataList.get(1).get("sl"));
		} else if (ParameterUtil.isnotnull(dataList.get(1).get("lspz"))) {
			dataMap = dataList.get(1);
			dataMap.put("srsl",dataList.get(0).get("sl"));
			dataMap.put("zcsl",dataList.get(1).get("sl"));
		}

		dataMap.put("pzwh",pzwh);

		return dataMap;
	}

	@Override
	public Map<String, Object> getCountQYzl(Map<String, Object> map) {
		return dataKcglFcbgzDefaultMapper.getCountQYzl(map);
	}
}
